We're happy to announce a beta release that supports x64 computers.  Note that this version is only supported on computers running a 64-bit version of Windows.  The .NET Framework v3.5 is required.
 
The installation package can be downloaded from https://sourceforge.net/project/downloading.php?group_id=111901&use_mirror=osdn&filename=ChronosXP_64-bit_3.5_RC1_Beta.msi